<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnDebug.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d19/_en_debug_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">EnDebug.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d3/d19/_en_debug_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:d2/dd2/class_diag_menu"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___diag_menu.html#d2/dd2/class_diag_menu">DiagMenu</a></td></tr>
<tr class="separator:d2/dd2/class_diag_menu"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga750f272dd3e344b461130dece1aea917"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a> </td></tr>
<tr class="separator:ga750f272dd3e344b461130dece1aea917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5a4538eeab397888d88a4eefcc5a1345"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga5a4538eeab397888d88a4eefcc5a1345">ShapeType</a> { <br />
&#160;&#160;<a class="el" href="../../d6/dae/group___debug_shape.html#gga5a4538eeab397888d88a4eefcc5a1345ab8f3e2bf90a8b9b9bacedf4df58a6fde">BBOX</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#gga5a4538eeab397888d88a4eefcc5a1345ab023460c84f774a219d46ccf4665994c">LINE</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#gga5a4538eeab397888d88a4eefcc5a1345a1748edc4234d3c494e228da3c0156b7a">SPHERE</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#gga5a4538eeab397888d88a4eefcc5a1345acf0ef7e103c398e454109aa1a65962aa">CYLINDER</a>
, <br />
&#160;&#160;<a class="el" href="../../d6/dae/group___debug_shape.html#gga5a4538eeab397888d88a4eefcc5a1345a714f2cc5c292a305e2da3c03bd63916a">DIAMOND</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#gga5a4538eeab397888d88a4eefcc5a1345a3fcd053f6577a9c10a59c3d3595658eb">PYRAMID</a>
<br />
 }</td></tr>
<tr class="separator:ga5a4538eeab397888d88a4eefcc5a1345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae99018d13c3c8a3cc164600046082d04"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> { <br />
&#160;&#160;<a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04ade2ac237f2c9012d3005d6ef68726a0b">NOZBUFFER</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04a0e0b76898a3bf92a45180420d21629a2">NOZWRITE</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04ab2c0b77d8e0e4b72d36e6aab661eb5e3">WIREFRAME</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04ac46987c21490fbe8dac52e266e215217">TRANSP</a>
, <br />
&#160;&#160;<a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04a77fe6c495237f04eaa9a8586d41e3851">DOUBLESIDE</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04af1110c378b0b40a4b5bd04fdd92220c4">ONCE</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04a39e08af9406332d46ef309acb059a0ed">NOOUTLINE</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04ab31536596c407261e5a0b5b4f1f69586">BACKFACE</a>
, <br />
&#160;&#160;<a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04ab9e1fedc81c9bbf8773008f0ec990eb6">NOCULL</a>
, <a class="el" href="../../d3/d14/group___entity_attributes.html#ggae99018d13c3c8a3cc164600046082d04aca67be9ef3cada74f46fdb57fdb3e7f3">VISIBLE</a>
, <a class="el" href="../../d6/dae/group___debug_shape.html#ggae99018d13c3c8a3cc164600046082d04ac0c02294c1fb924d8ee2ae11f9426c0e">ADDITIVE</a>
<br />
 }</td></tr>
<tr class="separator:gae99018d13c3c8a3cc164600046082d04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51f3cfd13ef7752ddd89ea32bcccd7d5"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga51f3cfd13ef7752ddd89ea32bcccd7d5">CollisionFlags</a> </td></tr>
<tr class="separator:ga51f3cfd13ef7752ddd89ea32bcccd7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa4d19de31eba89ee469662c1faf6fa21"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gaa4d19de31eba89ee469662c1faf6fa21">DumpStack</a> ()</td></tr>
<tr class="memdesc:gaa4d19de31eba89ee469662c1faf6fa21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints current call stack (stack trace)  <a href="../../d0/d62/group___debug.html#gaa4d19de31eba89ee469662c1faf6fa21">More...</a><br /></td></tr>
<tr class="separator:gaa4d19de31eba89ee469662c1faf6fa21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac561f7f718bab6558d9c5c70c3fdb1c3"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gac561f7f718bab6558d9c5c70c3fdb1c3">DumpStackString</a> (out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> stack)</td></tr>
<tr class="memdesc:gac561f7f718bab6558d9c5c70c3fdb1c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints current call stack (stack trace) to given output.  <a href="../../d0/d62/group___debug.html#gac561f7f718bab6558d9c5c70c3fdb1c3">More...</a><br /></td></tr>
<tr class="separator:gac561f7f718bab6558d9c5c70c3fdb1c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac0d90421a3875b8c64b8ea486b83f981"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gac0d90421a3875b8c64b8ea486b83f981">DebugBreak</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> condition=true, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</td></tr>
<tr class="memdesc:gac0d90421a3875b8c64b8ea486b83f981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers breakpoint in C++ in run time(when app is running in debug enviroment)  <a href="../../d0/d62/group___debug.html#gac0d90421a3875b8c64b8ea486b83f981">More...</a><br /></td></tr>
<tr class="separator:gac0d90421a3875b8c64b8ea486b83f981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1cfebf89ea5d93babe726a08bd3bcfe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gaf1cfebf89ea5d93babe726a08bd3bcfe">CompileBreak</a> ()</td></tr>
<tr class="memdesc:gaf1cfebf89ea5d93babe726a08bd3bcfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers breakpoint in C++ in compile time(when app is running in debug enviroment)  <a href="../../d0/d62/group___debug.html#gaf1cfebf89ea5d93babe726a08bd3bcfe">More...</a><br /></td></tr>
<tr class="separator:gaf1cfebf89ea5d93babe726a08bd3bcfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad40897900c6420e1c23bace98c84e7c7"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gad40897900c6420e1c23bace98c84e7c7">DPrint</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> var)</td></tr>
<tr class="memdesc:gad40897900c6420e1c23bace98c84e7c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of variable to console/log. Should be used for critical messages so it will appear in debug log.  <a href="../../d0/d62/group___debug.html#gad40897900c6420e1c23bace98c84e7c7">More...</a><br /></td></tr>
<tr class="separator:gad40897900c6420e1c23bace98c84e7c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac08bb050be562fd77ef53c878ee4ff8e"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gac08bb050be562fd77ef53c878ee4ff8e">ErrorEx</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err, <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a> severity=<a class="el" href="../../dc/d49/group___diag_menu.html#ga9eaada089c4de774cfc8b7aea4b9379a">ErrorExSeverity.ERROR</a>)</td></tr>
<tr class="memdesc:gac08bb050be562fd77ef53c878ee4ff8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error message, prefixed by method name, above 'INFO' will show a messagebox.  <a href="../../d0/d62/group___debug.html#gac08bb050be562fd77ef53c878ee4ff8e">More...</a><br /></td></tr>
<tr class="separator:gac08bb050be562fd77ef53c878ee4ff8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbdd16891ac41a6715bdb5dd9609ecf3"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gafbdd16891ac41a6715bdb5dd9609ecf3">ErrorExString</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> str, <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a> severity=<a class="el" href="../../dc/d49/group___diag_menu.html#ga9eaada089c4de774cfc8b7aea4b9379a">ErrorExSeverity.ERROR</a>)</td></tr>
<tr class="separator:gafbdd16891ac41a6715bdb5dd9609ecf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0fa3cc438c5e129c6cb1ccfd7ad91245"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#ga0fa3cc438c5e129c6cb1ccfd7ad91245">Error2</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> title, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err)</td></tr>
<tr class="memdesc:ga0fa3cc438c5e129c6cb1ccfd7ad91245"><td class="mdescLeft">&#160;</td><td class="mdescRight">Messagebox with error message.  <a href="../../d0/d62/group___debug.html#ga0fa3cc438c5e129c6cb1ccfd7ad91245">More...</a><br /></td></tr>
<tr class="separator:ga0fa3cc438c5e129c6cb1ccfd7ad91245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga786b160dafbe15abb829786ba345cb15"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err)</td></tr>
<tr class="memdesc:ga786b160dafbe15abb829786ba345cb15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Messagebox with error message.  <a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">More...</a><br /></td></tr>
<tr class="separator:ga786b160dafbe15abb829786ba345cb15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa9351d895a1f244a26fd635c378c536"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a> (void var)</td></tr>
<tr class="memdesc:gaaa9351d895a1f244a26fd635c378c536"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of variable to console/log.  <a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">More...</a><br /></td></tr>
<tr class="separator:gaaa9351d895a1f244a26fd635c378c536"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae273d2b39046bd2d0b46d3e5132ee54c"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">PrintToRPT</a> (void var)</td></tr>
<tr class="memdesc:gae273d2b39046bd2d0b46d3e5132ee54c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of variable to RPT file (performance warning - each write means fflush! use with care)  <a href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">More...</a><br /></td></tr>
<tr class="separator:gae273d2b39046bd2d0b46d3e5132ee54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafab491b31c611590d7fb40afc05962a4"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gafab491b31c611590d7fb40afc05962a4">PrintFormat</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> fmt, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</td></tr>
<tr class="memdesc:gafab491b31c611590d7fb40afc05962a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints formated text to console/log.  <a href="../../d0/d62/group___debug.html#gafab491b31c611590d7fb40afc05962a4">More...</a><br /></td></tr>
<tr class="separator:gafab491b31c611590d7fb40afc05962a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaba709bac9e72284d23f6f25b3102bb8a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gaba709bac9e72284d23f6f25b3102bb8a">GetMatrix</a> (out <a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="separator:gaba709bac9e72284d23f6f25b3102bb8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83f01322c5a58a74d4d1f0923821abbf"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga83f01322c5a58a74d4d1f0923821abbf">SetMatrix</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="separator:ga83f01322c5a58a74d4d1f0923821abbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga53cd83cbac1700acacfb6f30a77ae2ee"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga53cd83cbac1700acacfb6f30a77ae2ee">SetDirection</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> direction)</td></tr>
<tr class="separator:ga53cd83cbac1700acacfb6f30a77ae2ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3aa6cafceab9d573982aa9db5a5d6e34"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">SetPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> position)</td></tr>
<tr class="memdesc:ga3aa6cafceab9d573982aa9db5a5d6e34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the world position of the Effect.  <a href="../../d6/dae/group___debug_shape.html#ga3aa6cafceab9d573982aa9db5a5d6e34">More...</a><br /></td></tr>
<tr class="separator:ga3aa6cafceab9d573982aa9db5a5d6e34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ccc20249486c51ccf29e6ec155d4f45"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga6ccc20249486c51ccf29e6ec155d4f45">SetColor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color)</td></tr>
<tr class="separator:ga6ccc20249486c51ccf29e6ec155d4f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa9ba3114af4e5ecafd82fcdfd3c196b1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gaa9ba3114af4e5ecafd82fcdfd3c196b1">SetFlags</a> (<a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags)</td></tr>
<tr class="separator:gaa9ba3114af4e5ecafd82fcdfd3c196b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga638a3fcdb049ad795590a910ff04648a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga638a3fcdb049ad795590a910ff04648a">Destroy</a> ()</td></tr>
<tr class="memdesc:ga638a3fcdb049ad795590a910ff04648a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Cleans up the Effect, including unregistering if needed.  <a href="../../d6/dae/group___debug_shape.html#ga638a3fcdb049ad795590a910ff04648a">More...</a><br /></td></tr>
<tr class="separator:ga638a3fcdb049ad795590a910ff04648a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga01f744a0b9ed95fc93c015ca4e1d03f4"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga01f744a0b9ed95fc93c015ca4e1d03f4">Create</a> (<a class="el" href="../../d6/dae/group___debug_shape.html#ga5a4538eeab397888d88a4eefcc5a1345">ShapeType</a> type, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags, <a class="el" href="../../d7/dfc/classvector.html">vector</a> p1, <a class="el" href="../../d7/dfc/classvector.html">vector</a> p2)</td></tr>
<tr class="separator:ga01f744a0b9ed95fc93c015ca4e1d03f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa95f67bf7e8856e12efb906c9b23573b"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gaa95f67bf7e8856e12efb906c9b23573b">CreateLines</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags, <a class="el" href="../../d7/dfc/classvector.html">vector</a> p[], <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> num)</td></tr>
<tr class="separator:gaa95f67bf7e8856e12efb906c9b23573b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacea01f58b661985dfd3441930ddee13f"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gacea01f58b661985dfd3441930ddee13f">CreateTris</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags, <a class="el" href="../../d7/dfc/classvector.html">vector</a> p[], <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> num)</td></tr>
<tr class="separator:gacea01f58b661985dfd3441930ddee13f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa64b35f24f6656fa7b4c5228771874c5"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gaa64b35f24f6656fa7b4c5228771874c5">CreateSphere</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags, <a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius)</td></tr>
<tr class="separator:gaa64b35f24f6656fa7b4c5228771874c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5a835f7dcca2cdb56acc00d6b9d585e1"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga5a835f7dcca2cdb56acc00d6b9d585e1">CreateFrustum</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> horizontalAngle, <a class="el" href="../../d4/dc3/classfloat.html">float</a> verticalAngle, <a class="el" href="../../d4/dc3/classfloat.html">float</a> length, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags)</td></tr>
<tr class="separator:ga5a835f7dcca2cdb56acc00d6b9d585e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga03c2aca770f851754d6c8da6f3e329fe"><td class="memItemLeft" align="right" valign="top">static proto native <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga03c2aca770f851754d6c8da6f3e329fe">CreateCylinder</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags, <a class="el" href="../../d7/dfc/classvector.html">vector</a> origin, <a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d4/dc3/classfloat.html">float</a> length)</td></tr>
<tr class="separator:ga03c2aca770f851754d6c8da6f3e329fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33e4c2f905ea7caef5970ea0273106f4"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga33e4c2f905ea7caef5970ea0273106f4">CreateArrow</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> from, <a class="el" href="../../d7/dfc/classvector.html">vector</a> to, <a class="el" href="../../d4/dc3/classfloat.html">float</a> size, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags)</td></tr>
<tr class="separator:ga33e4c2f905ea7caef5970ea0273106f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae79884ecde9c16704b3859d48b9fb2bd"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gae79884ecde9c16704b3859d48b9fb2bd">CreateBridgeArrow</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> from, <a class="el" href="../../d7/dfc/classvector.html">vector</a> to, <a class="el" href="../../d4/dc3/classfloat.html">float</a> size, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color, <a class="el" href="../../d6/dae/group___debug_shape.html#gae99018d13c3c8a3cc164600046082d04">ShapeFlags</a> flags)</td></tr>
<tr class="separator:gae79884ecde9c16704b3859d48b9fb2bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee43d58d6f6ad8f59f60e221d03de3b1"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gaee43d58d6f6ad8f59f60e221d03de3b1">CreateMatrix</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> mat[4])</td></tr>
<tr class="separator:gaee43d58d6f6ad8f59f60e221d03de3b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gab1764b91c3b44a5988564bbfe1d6e352"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___diag_menu.html#gab1764b91c3b44a5988564bbfe1d6e352">INFO</a></td></tr>
<tr class="separator:gab1764b91c3b44a5988564bbfe1d6e352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1dfc73ab73898d3f4f348d462a5d126a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___diag_menu.html#ga1dfc73ab73898d3f4f348d462a5d126a">WARNING</a></td></tr>
<tr class="separator:ga1dfc73ab73898d3f4f348d462a5d126a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9eaada089c4de774cfc8b7aea4b9379a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___diag_menu.html#ga9eaada089c4de774cfc8b7aea4b9379a">ERROR</a></td></tr>
<tr class="separator:ga9eaada089c4de774cfc8b7aea4b9379a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga30f13400906443efe9fb79540dc674b5"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d6/dae/group___debug_shape.html#ga5a4538eeab397888d88a4eefcc5a1345">ShapeType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></td></tr>
<tr class="separator:ga30f13400906443efe9fb79540dc674b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb6b14a836d8cfc2698d5cc39198434c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___diag_menu.html#gaeb6b14a836d8cfc2698d5cc39198434c">FIRSTCONTACT</a></td></tr>
<tr class="separator:gaeb6b14a836d8cfc2698d5cc39198434c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed40236331cee9e793452deae41d9a92"><td class="memItemLeft" align="right" valign="top">NEARESTCONTACT ONLYSTATIC ONLYDYNAMIC ONLYWATER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___diag_menu.html#gaed40236331cee9e793452deae41d9a92">ALLOBJECTS</a></td></tr>
<tr class="separator:gaed40236331cee9e793452deae41d9a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4344f1db5238ced76a52bf38cee2978"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../dc/d49/group___diag_menu.html#d2/dd2/class_diag_menu">DiagMenu</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> ()</td></tr>
<tr class="memdesc:gaf4344f1db5238ced76a52bf38cee2978"><td class="mdescLeft">&#160;</td><td class="mdescRight">don't call destructor directly. Use <a class="el" href="../../d6/dae/group___debug_shape.html#ga638a3fcdb049ad795590a910ff04648a" title="Cleans up the Effect, including unregistering if needed.">Destroy()</a> instead  <a href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">More...</a><br /></td></tr>
<tr class="separator:gaf4344f1db5238ced76a52bf38cee2978"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../d3/d19/_en_debug_8c.html">EnDebug.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
